# Update destination

Source: https://next.coolify.io/docs/api/endpoints/destinations/update-destination-by-uuid

## PATCH /destinations/{uuid}

Update destination

Update a Docker network destination name. Network cannot be changed via the API.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | Destination UUID |

### Request body

`application/json`, required.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| name | string | no |  |

### Responses

#### 200

Destination updated.

`application/json`: Destination

Schema `Destination`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| uuid | string | no |  |
| name | string | no |  |
| network | string | no |  |
| type | string enum "standalone", "swarm" | no |  |
| server_uuid | string | no |  |
| created_at | string (date-time) | no |  |
| updated_at | string (date-time) | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 422

Validation error.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
| errors | object | no |  |
